Subject: Re: [dtc] breaking out libfdt from dtc so other progs can use it

From: Jerry Van Baren <[email-masked]>
Date: Thu, 28 Feb 2008 21:53:43 -0500

Jerone Young wrote:
> On Thu, 2008-02-28 at 12:59 -0600, Josh Boyer wrote:
>> On Thu, 28 Feb 2008 10:30:44 -0600
>> Jerone Young <[email-masked]> wrote:

[big snip]

>> You still haven't explained why maintenance is harder or somehow less
>> doable by having it in the dtc repo.  Maintenance is very much the
>> concern of the upstream developers, which seem to be saying it's not a
>> problem for them...
> 
> I guess what I see libfdt as something like shared userspace library. At
> the moment dtc is the only userspace project to use it.  So it make
> perfect since to keep it with the source and not separated.
> 
> Though when other projects need it .. the option of having to try to
> figure out what version of dtc to grab so understand what libfdt is
> usable, can be a bit of a pain.
> 
> Though I can't really argue that you can't get around this by just
> downloading dtc and grabbing out the libfdt package..though it does
> cause some indirection.  

FWIIW, that is what the u-boot project is doing.  The last pass, I 
actually extracted the libfdt git patch(es) and then applied them to the 
u-boot tree so that the history would be carried over.  The libfdt 
portion is now quite stable and I don't see major changes coming that 
would cause this methodology to be a problem.

Best regards,
gvb